Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts.fill
Class JRFillPieSeries

    java.lang.Object
      net.sf.jasperreports.charts.fill.JRFillPieSeries

All Implemented Interfaces:
  java.lang.Cloneable, JRPieSeries, JRCloneable

    public class JRFillPieSeries

extends java.lang.Object
implements JRPieSeries

Version:
  $Id: JRFillPieSeries.java 3938 2010-08-19 14:59:36Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`protected JRPieSeries` | `parent`

Constructor Summary
`JRFillPieSeries(JRPieSeries pieSeries, JRFillObjectFactory factory)`

Method Summary
`java.lang.Object` | `clone()`
`protected void` | `evaluate(JRCalculator calculator)`
`protected void` | `evaluateSectionHyperlink(JRCalculator calculator)`
`protected java.lang.Comparable` | `getKey()`
`JRExpression` | `getKeyExpression()`
`protected java.lang.String` | `getLabel()`
`JRExpression` | `getLabelExpression()`
`protected JRPrintHyperlink` | `getPrintSectionHyperlink()`
`JRHyperlink` | `getSectionHyperlink()` Returns the hyperlink specification for chart sections.
`protected java.lang.Number` | `getValue()`
`JRExpression` | `getValueExpression()`
`boolean` | `hasSectionHyperlinks()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    protected JRPieSeries parent

Constructor Detail

### JRFillPieSeries

    public JRFillPieSeries(JRPieSeries pieSeries,
                           JRFillObjectFactory factory)

Method Detail

### getKeyExpression

    public JRExpression getKeyExpression()

  Specified by:
    `getKeyExpression` in interface `JRPieSeries`

### getValueExpression

    public JRExpression getValueExpression()

  Specified by:
    `getValueExpression` in interface `JRPieSeries`

### getLabelExpression

    public JRExpression getLabelExpression()

  Specified by:
    `getLabelExpression` in interface `JRPieSeries`

### getKey

    protected java.lang.Comparable getKey()

### getValue

    protected java.lang.Number getValue()

### getLabel

    protected java.lang.String getLabel()

### getPrintSectionHyperlink

    protected JRPrintHyperlink getPrintSectionHyperlink()

### evaluate

    protected void evaluate(JRCalculator calculator)
                     throws JRExpressionEvalException

  Throws:
    `JRExpressionEvalException`

### evaluateSectionHyperlink

    protected void evaluateSectionHyperlink(JRCalculator calculator)
                                     throws JRExpressionEvalException

  Throws:
    `JRExpressionEvalException`

### hasSectionHyperlinks

    public boolean hasSectionHyperlinks()

### getSectionHyperlink

    public JRHyperlink getSectionHyperlink()

  Description copied from interface: `JRPieSeries`
  Returns the hyperlink specification for chart sections.

  The hyperlink will be evaluated for every chart section and an image map will be created for the chart.

  Specified by:
    `getSectionHyperlink` in interface `JRPieSeries`
  Returns:
    hyperlink specification for chart sections

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com